Bug 1024660 - [abrt] WARNING: CPU: 1 PID: 3923 at drivers/usb/host/ehci-hcd.c:1038 ehci_endpoint_reset+0x101/0x110() [NEEDINFO]
[abrt] WARNING: CPU: 1 PID: 3923 at drivers/usb/host/ehci-hcd.c:1038 ehci_end...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4ae302bb1c8e6d967d85a05038d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 03:45 EDT by Martin Vala
Modified: 2015-06-29 08:45 EDT (History)
68 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:45:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kernel-team: needinfo?


Attachments (Terms of Use)
File: dmesg (78.57 KB, text/plain)
2013-10-30 03:45 EDT, Martin Vala
no flags Details

  None (edit)
Description Martin Vala 2013-10-30 03:45:09 EDT
Additional info:
reporter:       libreport-2.1.9
WARNING: CPU: 1 PID: 3923 at drivers/usb/host/ehci-hcd.c:1038 ehci_endpoint_reset+0x101/0x110()
clear_halt for a busy endpoint
Modules linked in: tcp_lp nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6t_REJECT xt_conntrack bnep bluetooth ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw fuse iTCO_wdt snd_hda_codec_realtek iTCO_vendor_support arc4 iwldvm coretemp mac80211 kvm_intel kvm microcode joydev uvcvideo iwlwifi serio_raw videobuf2_vmalloc videobuf2_memops i2c_i801 videobuf2_core videodev media snd_hda_intel snd_hda_codec snd_hwdep lpc_ich mfd_core snd_seq snd_seq_device sdhci_pci sdhci r592 mmc_core memstick cfg80211 snd_pcm snd_page_alloc snd_timer snd soundcore e1000e ptp pps_core shpchp sony_laptop rfkill acpi_cpufreq mperf nfsd auth_rpcgss nfs_acl lockd sunrpc nouveau i915 mxm_wmi ttm firewire_ohci i2c_algo_bit drm_kms_helper firewire_core crc_itu_t yenta_socket drm i2c_core wmi video
CPU: 1 PID: 3923 Comm: pool Not tainted 3.11.6-301.fc20.x86_64 #1
Hardware name: Sony Corporation VGN-Z51VRG_X/VAIO, BIOS R5030M3 08/18/2009
 0000000000000009 ffff88018d4b1d08 ffffffff816488fb ffff88018d4b1d50
 ffff88018d4b1d40 ffffffff8106715d 0000000000000003 0000000000000082
 ffff8801b4b92800 ffff8801b4b92a84 0000000000000246 ffff88018d4b1da0
Call Trace:
 [<ffffffff816488fb>] dump_stack+0x45/0x56
 [<ffffffff8106715d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810671cc>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff8118d8ae>] ? kfree+0x13e/0x180
 [<ffffffff81483871>] ehci_endpoint_reset+0x101/0x110
 [<ffffffff8146a835>] usb_hcd_reset_endpoint+0x25/0x70
 [<ffffffff8146c788>] usb_reset_endpoint+0x28/0x40
 [<ffffffff8146c80e>] usb_clear_halt+0x6e/0x80
 [<ffffffff8147794f>] usbdev_do_ioctl+0xbbf/0x1060
 [<ffffffff81477e1e>] usbdev_ioctl+0xe/0x20
 [<ffffffff811b9e1d>] do_vfs_ioctl+0x2dd/0x4b0
 [<ffffffff811ba071>] SyS_ioctl+0x81/0xa0
 [<ffffffff81657b19>] system_call_fastpath+0x16/0x1b

Potential duplicate: bug 966995
Comment 1 Martin Vala 2013-10-30 03:45:20 EDT
Created attachment 817332 [details]
File: dmesg
Comment 2 Sam Tygier 2013-11-15 08:46:55 EST
WARNING: CPU: 1 PID: 2176 at drivers/usb/host/ehci-hcd.c:1038 ehci_endpoint_reset+0x101/0x110()
clear_halt for a busy endpoint
Modules linked in: btrfs zlib_deflate raid6_pq libcrc32c xor usb_storage fuse snd_usb_audio iTCO_wdt snd_usbmidi_lib iTCO_vendor_support snd_rawmidi coretemp snd_hda_codec_analog kvm_intel arc4 kvm iwl3945 iwlegacy mac80211 snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device cfg80211 sdhci_pci thinkpad_acpi microcode sdhci e1000e mmc_core rfkill serio_raw i2c_i801 snd_pcm snd_page_alloc snd_timer snd soundcore tpm_tis ptp lpc_ich shpchp pps_core mfd_core tpm tpm_bios acpi_cpufreq mperf uinput binfmt_misc i915 i2c_algo_bit firewire_ohci drm_kms_helper firewire_core ata_generic crc_itu_t pata_acpi yenta_socket drm i2c_core video
CPU: 1 PID: 2176 Comm: pool Not tainted 3.11.7-200.fc19.x86_64 #1
Hardware name: LENOVO 767529C/767529C, BIOS 7NET25WW (1.06 ) 07/02/2007
 0000000000000009 ffff8800b8633d08 ffffffff8164777b ffff8800b8633d50
 ffff8800b8633d40 ffffffff8106715d 0000000000000003 0000000000000082
 ffff880135763000 ffff880135763284 0000000000000246 ffff8800b8633da0
Call Trace:
 [<ffffffff8164777b>] dump_stack+0x45/0x56
 [<ffffffff8106715d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810671cc>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff8118d92e>] ? kfree+0x13e/0x180
 [<ffffffff81485ba1>] ehci_endpoint_reset+0x101/0x110
 [<ffffffff8146cb65>] usb_hcd_reset_endpoint+0x25/0x70
 [<ffffffff8146eab8>] usb_reset_endpoint+0x28/0x40
 [<ffffffff8146eb3e>] usb_clear_halt+0x6e/0x80
 [<ffffffff81479c7f>] usbdev_do_ioctl+0xbbf/0x1060
 [<ffffffff8147a14e>] usbdev_ioctl+0xe/0x20
 [<ffffffff811b9e9d>] do_vfs_ioctl+0x2dd/0x4b0
 [<ffffffff811ba0f1>] SyS_ioctl+0x81/0xa0
 [<ffffffff81656999>] system_call_fastpath+0x16/0x1b

Potential duplicate: Bug 928143
Comment 3 Steven Stern 2014-01-21 20:23:53 EST
Description of problem:
tried to access scanner

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.11
cmdline:        root=UUID=cb50f2fc-5f16-4a1c-8dc5-2bcc76ab5e80 rd.md=0 rd.lvm=0 rd.dm=0   rd.luks=0 ro  SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 quiet
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 18197 at drivers/usb/host/ehci-hcd.c:1027 ehci_endpoint_reset+0x101/0x110()
clear_halt for a busy endpoint
Modules linked in: lp parport rfcomm fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep vfat fat snd_hda_codec_hdmi iTCO_wdt usb_storage snd_hda_codec_realtek iTCO_vendor_support btusb snd_usb_audio snd_hda_intel snd_usbmidi_lib snd_hda_codec snd_rawmidi snd_hwdep x86_pkg_temp_thermal coretemp kvm_intel hid_logitech_dj snd_seq arc4 rt2800pci rt2800lib rt2x00pci rt2x00mmio rt2x00lib uvcvideo eeprom_93cx6 mac80211 kvm videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media e1000e cfg80211 crc_ccitt usblp snd_seq_device serio_raw snd_pcm crct10dif_pclmul crc32_pclmul crc32c_intel bluetooth i2c_i801 lpc_ich mfd_core ptp snd_page_alloc snd_timer snd rfkill soundcore ghash_clmulni_intel shpchp pps_core wmi mei_me mei microcode i915 i2c_algo_bit drm_kms_helper drm i2c_core video
CPU: 0 PID: 18197 Comm: xsane Not tainted 3.12.8-300.fc20.x86_64 #1
Hardware name: Gateway DX4870/DX4870, BIOS P01-A1 03/12/2012
 0000000000000009 ffff8801a9ec5d08 ffffffff81667a8b ffff8801a9ec5d50
 ffff8801a9ec5d40 ffffffff8106921d 0000000000000002 0000000000000001
 ffff8802100e9800 ffff8802100e9b0c 0000000000000297 ffff8801a9ec5da0
Call Trace:
 [<ffffffff81667a8b>] dump_stack+0x45/0x56
 [<ffffffff8106921d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8106928c>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff81497e71>] ehci_endpoint_reset+0x101/0x110
 [<ffffffff8147dd85>] usb_hcd_reset_endpoint+0x25/0x70
 [<ffffffff8147fd98>] usb_reset_endpoint+0x28/0x40
 [<ffffffff8147fe1e>] usb_clear_halt+0x6e/0x80
 [<ffffffff8148af9f>] usbdev_do_ioctl+0xbbf/0x1060
 [<ffffffff815532ce>] ? SYSC_sendto+0x17e/0x1c0
 [<ffffffff8148b46e>] usbdev_ioctl+0xe/0x20
 [<ffffffff811c122d>] do_vfs_ioctl+0x2dd/0x4b0
 [<ffffffff811c1481>] SyS_ioctl+0x81/0xa0
 [<ffffffff81676a69>] system_call_fastpath+0x16/0x1b
Comment 4 Matthias Scholz 2014-01-29 07:39:09 EST
Description of problem:
normal usage

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.11
cmdline:        BOOT_IMAGE=/vmlinuz-3.12.7-300.fc20.i686+PAE root=UUID=a74c73de-9481-42c2-9f05-d1afec9a9621 ro rootflags=subvol=root rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0 vconsole.font=latarcyrheb-sun16 vconsole.keymap=de rhgb quiet LANG=en_US.UTF-8
kernel:         3.12.7-300.fc20.i686+PAE
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 9086 at drivers/usb/host/ehci-hcd.c:1027 ehci_endpoint_reset+0xe3/0xf0()
clear_halt for a busy endpoint
Modules linked in: rfcomm xt_CHECKSUM tun arc4 md4 nls_utf8 cifs dns_resolver fscache ipt_MASQUERADE ip6t_rpfilter ip6t_REJECT cfg80211 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep fuse snd_hda_codec_realtek iTCO_wdt iTCO_vendor_support snd_hda_intel usb_storage x86_pkg_temp_thermal coretemp kvm_intel dcdbas kvm snd_hda_codec crc32_pclmul snd_hwdep crc32c_intel snd_seq btusb snd_seq_device bluetooth microcode snd_pcm ftdi_sio rfkill serio_raw r8169 snd_page_alloc i2c_i801 mii lpc_ich snd_timer snd mfd_core soundcore e1000e mei_me video mei ptp pps_core binfmt_misc btrfs libcrc32c xor radeon raid6_pq i2c_algo_bit drm_kms_helper ttm drm i2c_core
CPU: 0 PID: 9086 Comm: pool Not tainted 3.12.7-300.fc20.i686+PAE #1
Hardware name: Dell Inc. OptiPlex 990/06D7TR, BIOS A13 04/02/2012
 00000000 00000000 cc6f9dd8 c09b0089 cc6f9e18 cc6f9e08 c04554ee c0ba2158
 cc6f9e34 0000237e c0bccc14 00000403 c080c4d3 c080c4d3 00000003 eb7d9c00
 fffffffb cc6f9e20 c0455543 00000009 cc6f9e18 c0ba2158 cc6f9e34 cc6f9e50
Call Trace:
 [<c09b0089>] dump_stack+0x41/0x52
 [<c04554ee>] warn_slowpath_common+0x7e/0xa0
 [<c080c4d3>] ? ehci_endpoint_reset+0xe3/0xf0
 [<c080c4d3>] ? ehci_endpoint_reset+0xe3/0xf0
 [<c0455543>] warn_slowpath_fmt+0x33/0x40
 [<c080c4d3>] ehci_endpoint_reset+0xe3/0xf0
 [<c07f4b3f>] usb_hcd_reset_endpoint+0x1f/0x60
 [<c07f6815>] usb_reset_endpoint+0x25/0x40
 [<c07f68a3>] usb_clear_halt+0x73/0x80
 [<c080020b>] usbdev_ioctl+0x9eb/0x1480
 [<c04b1385>] ? futex_wake+0x135/0x160
 [<c04b2064>] ? do_futex+0xf4/0x9f0
 [<c07ff820>] ? proc_do_submiturb+0xb90/0xb90
 [<c0572816>] do_vfs_ioctl+0x2e6/0x4d0
 [<c063b6d2>] ? inode_has_perm.isra.30+0x32/0x40
 [<c063b7ef>] ? file_has_perm+0x7f/0x90
 [<c063c1ac>] ? selinux_file_ioctl+0x4c/0xf0
 [<c0572a60>] SyS_ioctl+0x60/0x80
 [<c09bd18d>] sysenter_do_call+0x12/0x28
Comment 5 Justin M. Forbes 2014-02-24 09:03:32 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 6 Tom Bouwman 2014-03-07 14:18:28 EST
Description of problem:
Umount of an Android phone

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.12
cmdline:        BOOT_IMAGE=/vmlinuz-3.13.4-200.fc20.x86_64 root=/dev/mapper/rootvg-root ro rd.md=0 rd.dm=0 rd.lvm.lv=rootvg/root vconsole.keymap=us rd.lvm.lv=rootvg/swap rd.luks=0 vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=en_US.UTF-8
kernel:         3.13.4-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 12088 at drivers/usb/host/ehci-hcd.c:1033 ehci_endpoint_reset+0x104/0x110()
clear_halt for a busy endpoint
Modules linked in: rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache ccm bnep ppdev parport_pc parport fuse vmw_vsock_vmci_transport vsock vmw_vmci snd_hda_codec_analog btusb snd_hda_intel snd_hda_codec iTCO_wdt snd_hwdep iTCO_vendor_support bluetooth arc4 snd_seq coretemp kvm_intel iwl3945 kvm snd_seq_device iwlegacy mac80211 tg3 cfg80211 microcode ptp joydev pps_core snd_pcm thinkpad_acpi i2c_i801 snd_page_alloc lpc_ich mfd_core serio_raw snd_timer rfkill snd soundcore tpm_tis shpchp tpm video acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd sunrpc radeon i2c_algo_bit firewire_ohci ata_generic pata_acpi firewire_core yenta_socket drm_kms_helper crc_itu_t ttm drm i2c_core
CPU: 1 PID: 12088 Comm: pool Not tainted 3.13.4-200.fc20.x86_64 #1
Hardware name: LENOVO 9461DXG/9461DXG, BIOS 7CETD3WW (2.23 ) 08/28/2009
 0000000000000009 ffff880030307d08 ffffffff81686b68 ffff880030307d50
 ffff880030307d40 ffffffff8106d47d 0000000000000003 ffff8800bac15000
 0000000000000086 ffff8800bac1531c 0000000000000246 ffff880030307da0
Call Trace:
 [<ffffffff81686b68>] dump_stack+0x45/0x56
 [<ffffffff8106d47d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8106d4ec>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff814af854>] ehci_endpoint_reset+0x104/0x110
 [<ffffffff81492645>] usb_hcd_reset_endpoint+0x25/0x70
 [<ffffffff814946a8>] usb_reset_endpoint+0x28/0x40
 [<ffffffff8149472e>] usb_clear_halt+0x6e/0x80
 [<ffffffff8149f97f>] usbdev_do_ioctl+0xbbf/0x1060
 [<ffffffff810d907a>] ? do_futex+0x10a/0xd10
 [<ffffffff810a651c>] ? update_curr+0xcc/0x160
 [<ffffffff8149fe4e>] usbdev_ioctl+0xe/0x20
 [<ffffffff811cb758>] do_vfs_ioctl+0x2d8/0x4a0
 [<ffffffff8168a0b2>] ? __schedule+0x2e2/0x740
 [<ffffffff811cb9a1>] SyS_ioctl+0x81/0xa0
 [<ffffffff81695b69>] system_call_fastpath+0x16/0x1b
Comment 7 Kevin R. Page 2014-03-14 06:37:07 EDT
Yes, picked up by abrt on kernel-3.13.5-200.fc20.x86_64 for me.

Also confirmed for multiple post 3.13.4-200.fc20 kernels at:
https://retrace.fedoraproject.org/faf/reports/305435/

(which points to this bug)
Comment 8 Kevin R. Page 2014-03-14 06:40:35 EDT
By the way, could the rebase/mass bug closing script not automatically check the retrace service for persistence of the bug?

(I was going to file a feature request against bugzilla for this, before realising it must be scripted -- is there a project/component for the scripts?)
Comment 9 Josh Boyer 2014-03-14 10:26:51 EDT
The retrace server isn't particularly useful in determining if new kernels still see an issue.  It has no way of marking old kernels as unsupported, nor does it catch all cases reported in bugzilla because not everyone uses abrt or the retrace server.
Comment 10 Kevin R. Page 2014-03-14 14:18:03 EDT
(In reply to Josh Boyer from comment #9)
> The retrace server isn't particularly useful in determining if new kernels
> still see an issue.  It has no way of marking old kernels as unsupported,
> nor does it catch all cases reported in bugzilla because not everyone uses
> abrt or the retrace server.

Are the counts against the kernels at:
https://retrace.fedoraproject.org/faf/reports/305435/

unreliable? It wouldn't catch all cases, but if they're reliable it would surely catch the positive case where the bug has reoccurred against a later kernel. Something, somewhere, has linked that trace to this bug, as that's where abrt points to. Or perhaps that was a manual step, in which case ignore me...
Comment 11 Marcos Paulo 2014-04-22 11:36:54 EDT
I saw the same problem today after plug my sansung phone by USB in my Fedora 20 (updated today).

There is something that I can do to help solving this issue?
Comment 12 k4rtik 2014-04-25 05:56:17 EDT
I faced this after unmounting my Nexus 5 on Fedora 20.
Comment 13 Alessio.AguirrePimentel 2014-04-25 16:57:15 EDT
Description of problem:
just opened up the PC

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.1
cmdline:        BOOT_IMAGE=/vmlinuz-3.13.10-200.fc20.x86_64 root=/dev/mapper/fedora01-root ro rd.lvm.lv=fedora01/root rd.lvm.lv=fedora01/swap vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=en_US.UTF-8
kernel:         3.13.10-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 19677 at drivers/usb/host/ehci-hcd.c:1040 ehci_endpoint_reset+0x104/0x110()
clear_halt for a busy endpoint
Modules linked in: tcp_lp usblp fuse bnep bluetooth ip6t_rpfilter ip6t_REJECT cfg80211 rfkill xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq joydev kvm_amd snd_seq_device kvm snd_pcm edac_core serio_raw edac_mce_amd microcode snd_page_alloc snd_timer sp5100_tco snd k10temp shpchp i2c_piix4 soundcore acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd sunrpc binfmt_misc ata_generic pata_acpi nouveau video mxm_wmi i2c_algo_bit drm_kms_helper
ttm drm r8169 mii usb_storage pata_atiixp i2c_core wmi
CPU: 0 PID: 19677 Comm: gnome-boxes Not tainted 3.13.10-200.fc20.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. GA-870A-USB3/GA-870A-USB3, BIOS F4 03/09/2011
0000000000000009 ffff8801c475dd08 ffffffff81687eac ffff8801c475dd50
ffff8801c475dd40 ffffffff8106d4dd 0000000000000002 ffff880230e48800
0000000000000081 ffff880230e48b1c 0000000000000297 ffff8801c475dda0
Call Trace:
[<ffffffff81687eac>] dump_stack+0x45/0x56
[<ffffffff8106d4dd>] warn_slowpath_common+0x7d/0xa0
[<ffffffff8106d54c>] warn_slowpath_fmt+0x4c/0x50
[<ffffffff814b0034>] ehci_endpoint_reset+0x104/0x110
[<ffffffff81492d55>] usb_hcd_reset_endpoint+0x25/0x70
[<ffffffff81494db8>] usb_reset_endpoint+0x28/0x40
[<ffffffff81494e3e>] usb_clear_halt+0x6e/0x80
[<ffffffff814a00af>] usbdev_do_ioctl+0xbbf/0x1060
[<ffffffff8156c8e7>] ? SYSC_recvfrom+0x127/0x160
[<ffffffff814a057e>] usbdev_ioctl+0xe/0x20
[<ffffffff811cbae8>] do_vfs_ioctl+0x2d8/0x4a0
[<ffffffff811cbd31>] SyS_ioctl+0x81/0xa0
[<ffffffff81696e69>] system_call_fastpath+0x16/0x1b
Comment 14 Dimitris 2014-05-01 22:02:11 EDT
Description of problem:
Connected Samsung Galaxy Tab 10.1

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.2
cmdline:        BOOT_IMAGE=/vmlinuz-3.14.1-200.fc20.x86_64 root=/dev/mapper/vg0-root ro rd.md=0 rd.dm=0 rd.lvm.lv=vg0/swap vconsole.keymap=us rd.lvm.lv=vg0/root rd.luks.uuid=luks-d8a4c588-941a-4edf-9682-6e2670830744 vconsole.font=latarcyrheb-sun16 rhgb acpi_osi=Linux thinkpad_acpi.brightness_enable=0 quiet LANG=en_US.utf8
kernel:         3.14.1-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 6494 at drivers/usb/host/ehci-hcd.c:1032 ehci_endpoint_reset+0x104/0x110()
clear_halt for a busy endpoint
Modules linked in: cdc_acm hidp tcp_lp rfcomm fuse ccm ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep iTCO_wdt iTCO_vendor_support coretemp kvm_intel kvm arc4 iwldvm mac80211 microcode iwlwifi serio_raw lpc_ich cfg80211 snd_hda_codec_conexant i2c_i801 mfd_core snd_hda_codec_generic snd_hda_intel btusb snd_hda_codec bluetooth snd_hwdep snd_seq 6lowpan_iphc snd_seq_device tpm_tis snd_pcm thinkpad_acpi rfkill wmi tpm snd_timer mei_me snd mei soundcore shpchp acpi_cpufreq binfmt_misc
 nfsd auth_rpcgss nfs_acl lockd sunrpc dm_crypt i915 i2c_algo_bit drm_kms_helper e1000e drm ptp i2c_core pps_core video
CPU: 1 PID: 6494 Comm: pool Not tainted 3.14.1-200.fc20.x86_64 #1
Hardware name: LENOVO 7465CTO/7465CTO, BIOS 6DET72WW (3.22 ) 10/25/2012
 0000000000000000 00000000b8175507 ffff8801acfc5ce8 ffffffff816eeaf2
 ffff8801acfc5d30 ffff8801acfc5d20 ffffffff8108a1bd 0000000000000003
 ffff88022e3db800 0000000000000082 ffff88022e3dbb1c 0000000000000246
Call Trace:
 [<ffffffff816eeaf2>] dump_stack+0x45/0x56
 [<ffffffff8108a1bd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108a23c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffff81500d44>] ehci_endpoint_reset+0x104/0x110
 [<ffffffff814e3225>] usb_hcd_reset_endpoint+0x25/0x70
 [<ffffffff814e54c8>] usb_reset_endpoint+0x28/0x40
 [<ffffffff814e554e>] usb_clear_halt+0x6e/0x80
 [<ffffffff814f0924>] usbdev_do_ioctl+0xa74/0x1080
 [<ffffffff810fe082>] ? do_futex+0x132/0xb60
 [<ffffffff814f0f5e>] usbdev_ioctl+0xe/0x20
 [<ffffffff811fcba0>] do_vfs_ioctl+0x2e0/0x4a0
 [<ffffffff811fcde1>] SyS_ioctl+0x81/0xa0
 [<ffffffff81121c76>] ? __audit_syscall_exit+0x1f6/0x2a0
 [<ffffffff816feea9>] system_call_fastpath+0x16/0x1b
Comment 15 Dario Castellarin 2014-05-13 15:02:16 EDT
Ping?
This still happens every time I remove an MTP device (i.e. Android phone), even with the latest kernel 3.14.4...
Comment 16 Magdalen5751 2014-06-01 21:13:31 EDT
Description of problem:
i just installed the upates and restarted and first thing it did was show error message.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.2
cmdline:        BOOT_IMAGE=/vmlinuz-3.14.4-200.fc20.i686+PAE root=UUID=04ef4af2-b590-4d8c-bb6d-e7bf247bd4d9 ro vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=en_US.UTF-8
kernel:         3.14.4-200.fc20.i686+PAE
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 5544 at drivers/usb/host/ehci-hcd.c:1032 ehci_endpoint_reset+0xde/0xf0()
clear_halt for a busy endpoint
Modules linked in: fuse ip6t_rpfilter ip6t_REJECT bnep bluetooth 6lowpan_iphc xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 kvm_amd kvm snd_hda_codec_conexant snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm rtl8192ce rtl_pci rtlwifi rtl8192c_common mac80211 rndis_host cdc_ether usbnet cfg80211 mii joydev snd_timer microcode serio_raw k10temp i2c_piix4 snd atl1c toshiba_acpi sparse_keymap rfkill soundcore toshiba_bluetooth wmi video acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd sunrpc radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core
CPU: 2 PID: 5544 Comm: pool Not tainted 3.14.4-200.fc20.i686+PAE #1
Hardware name: TOSHIBA Satellite L755D/Torpedo, BIOS 1.20 07/12/2011
 c0c90907 3626c0d3 00000000 ed7fddc0 c0a09147 ed7fde00 ed7fddf0 c045b5ce
 c0c289f4 ed7fde20 000015a8 c0c060df 00000408 c084eeae c084eeae 00000003
 f31aca0c f31ac800 ed7fde0c c045b62e 00000009 ed7fde00 c0c289f4 ed7fde20
Call Trace:
 [<c0a09147>] dump_stack+0x41/0x52
 [<c045b5ce>] warn_slowpath_common+0x7e/0xa0
 [<c084eeae>] ? ehci_endpoint_reset+0xde/0xf0
 [<c084eeae>] ? ehci_endpoint_reset+0xde/0xf0
 [<c045b62e>] warn_slowpath_fmt+0x3e/0x60
 [<c084eeae>] ehci_endpoint_reset+0xde/0xf0
 [<c0833abf>] usb_hcd_reset_endpoint+0x1f/0x60
 [<c08359d5>] usb_reset_endpoint+0x25/0x40
 [<c0835a63>] usb_clear_halt+0x73/0x80
 [<c083f688>] usbdev_ioctl+0x9a8/0x1430
 [<c04c31d0>] ? futex_wake+0x70/0x150
 [<c04c4d5c>] ? do_futex+0x10c/0x9a0
 [<c083ece0>] ? proc_do_submiturb+0xb90/0xb90
 [<c058f41a>] do_vfs_ioctl+0x2ea/0x4b0
 [<c06626a2>] ? inode_has_perm.isra.32+0x32/0x40
 [<c06627f7>] ? file_has_perm+0x97/0xa0
 [<c066325c>] ? selinux_file_ioctl+0x4c/0xf0
 [<c058f640>] SyS_ioctl+0x60/0x90
 [<c0a1744d>] sysenter_do_call+0x12/0x28
Comment 17 Neil 2014-06-10 15:20:43 EDT
Description of problem:
Connect my Samsung Galaxy S3 mini, with Cyanogenmod 11.0 rom, didn't nothing, just, plug the device.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.2
cmdline:        BOOT_IMAGE=/vmlinuz-3.14.5-200.fc20.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root rhgb quiet LANG=es_AR.UTF-8
kernel:         3.14.5-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 5247 at drivers/usb/host/ehci-hcd.c:1032 ehci_endpoint_reset+0x104/0x110()
clear_halt for a busy endpoint
Modules linked in: fuse ip6t_rpfilter ip6t_REJECT bnep bluetooth xt_conntrack 6lowpan_iphc ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 brcmsmac cordic brcmutil b43 mac80211 cfg80211 ssb mmc_core iTCO_wdt iTCO_vendor_support x86_pkg_temp_thermal coretemp kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media joydev snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_codec_generic snd_hda_intel snd_hda_codec snd_hwdep snd_seq ideapad_laptop sparse_keymap snd_seq_device rfkill snd_pcm bcma snd_timer snd soundcore microcode shpchp mei_me i2c_i801 mei serio_raw lpc_ich mfd_core nfsd auth_rpcgss nfs_acl lockd sunrpc i915 i2c_algo_bit drm_kms_helper drm atl1c i2c_core video
CPU: 0 PID: 5247 Comm: pool Not tainted 3.14.5-200.fc20.x86_64 #1
Hardware name: LENOVO 4328                            /Base Board Product Name, BIOS 40CN33WW(V2.19) 08/14/2012
 0000000000000000 000000004238b0d5 ffff880064db9ce8 ffffffff816efa42
 ffff880064db9d30 ffff880064db9d20 ffffffff8108a1cd 0000000000000003
 ffff880036922800 0000000000000086 ffff880036922b1c 0000000000000246
Call Trace:
 [<ffffffff816efa42>] dump_stack+0x45/0x56
 [<ffffffff8108a1cd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108a24c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffff81501714>] ehci_endpoint_reset+0x104/0x110
 [<ffffffff814e3bc5>] usb_hcd_reset_endpoint+0x25/0x70
 [<ffffffff814e5e68>] usb_reset_endpoint+0x28/0x40
 [<ffffffff814e5eee>] usb_clear_halt+0x6e/0x80
 [<ffffffff814f12f4>] usbdev_do_ioctl+0xa74/0x1080
 [<ffffffff810fe0b2>] ? do_futex+0x132/0xb60
 [<ffffffff814f192e>] usbdev_ioctl+0xe/0x20
 [<ffffffff811fcd90>] do_vfs_ioctl+0x2e0/0x4a0
 [<ffffffff811fcfd1>] SyS_ioctl+0x81/0xa0
 [<ffffffff81121cd6>] ? __audit_syscall_exit+0x1f6/0x2a0
 [<ffffffff816ffe29>] system_call_fastpath+0x16/0x1b
Comment 18 Neil 2014-06-13 19:06:41 EDT
Description of problem:
I just unplug my Android device (Samsung Galaxy SIII mini / Cyanogenmod 11 rom)


Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.2
cmdline:        BOOT_IMAGE=/vmlinuz-3.14.6-200.fc20.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root rhgb quiet LANG=es_AR.UTF-8
kernel:         3.14.6-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 6995 at drivers/usb/host/ehci-hcd.c:1032 ehci_endpoint_reset+0x104/0x110()
clear_halt for a busy endpoint
usb 2-1.1: usbfs: process 6912 (events) did not claim interface 0 before use
Modules linked in: ccm rndis_wlan rndis_host cdc_ether usbnet mii nf_nat_h323 nf_conntrack_h323 nf_nat_pptp nf_nat_proto_gre nf_conntrack_pptp nf_conntrack_proto_gre nf_nat_tftp nf_conntrack_tftp nf_nat_sip nf_conntrack_sip nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp fuse ipt_MASQUERADE ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 brcmsmac cordic brcmutil b43 mac80211 iTCO_wdt iTCO_vendor_support snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_codec_generic x86_pkg_temp_thermal
uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core coretemp kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel cfg80211 ssb mmc_core snd_hda_intel videodev media snd_hda_codec snd_hwdep snd_seq joydev snd_seq_device microcode serio_raw snd_pcm i2c_i801 lpc_ich bcma snd_timer mfd_core mei_me snd mei shpchp soundcore ideapad_laptop sparse_keymap rfkill i915 i2c_algo_bit drm_kms_helper drm atl1c i2c_core video
CPU: 0 PID: 6995 Comm: pool Not tainted 3.14.6-200.fc20.x86_64 #1
Hardware name: LENOVO 4328                            /Base Board Product Name, BIOS 40CN33WW(V2.19) 08/14/2012
0000000000000000 000000001e95e256 ffff88005b723ce8 ffffffff816f0252
ffff88005b723d30 ffff88005b723d20 ffffffff8108a1cd 0000000000000003
ffff8800b0bf1000 0000000000000086 ffff8800b0bf131c 0000000000000246
Call Trace:
[<ffffffff816f0252>] dump_stack+0x45/0x56
[<ffffffff8108a1cd>] warn_slowpath_common+0x7d/0xa0
[<ffffffff8108a24c>] warn_slowpath_fmt+0x5c/0x80
[<ffffffff81501c14>] ehci_endpoint_reset+0x104/0x110
[<ffffffff814e40c5>] usb_hcd_reset_endpoint+0x25/0x70
[<ffffffff814e6368>] usb_reset_endpoint+0x28/0x40
[<ffffffff814e63ee>] usb_clear_halt+0x6e/0x80
[<ffffffff814f17f4>] usbdev_do_ioctl+0xa74/0x1080
[<ffffffff810fe272>] ? do_futex+0x132/0xb50
[<ffffffff814f1e2e>] usbdev_ioctl+0xe/0x20
[<ffffffff811fd050>] do_vfs_ioctl+0x2e0/0x4a0
[<ffffffff811fd291>] SyS_ioctl+0x81/0xa0
[<ffffffff81121e76>] ? __audit_syscall_exit+0x1f6/0x2a0
[<ffffffff81700629>] system_call_fastpath+0x16/0x1b
Comment 19 Neil 2014-06-16 23:54:18 EDT
Description of problem:
unmount my samsung galaxy s3 mini device (custom rom/cyanogenmod11/android4.4.3)

happened on 4.4.2 too, and with a samsung galaxy s3 with Oficcial rom 4.2.2 I can't remember.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.2
cmdline:        BOOT_IMAGE=/vmlinuz-3.14.7-200.fc20.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root rhgb quiet LANG=es_AR.UTF-8
kernel:         3.14.7-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 8947 at drivers/usb/host/ehci-hcd.c:1032 ehci_endpoint_reset+0x104/0x110()
clear_halt for a busy endpoint
Modules linked in: fuse ipt_MASQUERADE ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 brcmsmac cordic brcmutil b43 mac80211 cfg80211 snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_codec_generic snd_hda_intel snd_hda_codec snd_hwdep snd_seq ssb mmc_core uvcvideo bcma x86_pkg_temp_thermal snd_seq_device iTCO_wdt iTCO_vendor_support snd_pcm videobuf2_vmalloc ideapad_laptop coretemp sparse_keymap rfkill snd_timer videobuf2_memops videobuf2_core videodev media lpc_ich mfd_core
kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel shpchp snd soundcore joydev serio_raw microcode mei_me mei i2c_i801 i915 i2c_algo_bit drm_kms_helper drm atl1c i2c_core video
CPU: 1 PID: 8947 Comm: pool Not tainted 3.14.7-200.fc20.x86_64 #1
Hardware name: LENOVO 4328                            /Base Board Product Name, BIOS 40CN33WW(V2.19) 08/14/2012
0000000000000000 00000000251fd048 ffff8800194a5ce8 ffffffff816f04b2
ffff8800194a5d30 ffff8800194a5d20 ffffffff8108a1cd 0000000000000003
ffff8800b0bd2800 0000000000000086 ffff8800b0bd2b1c 0000000000000246
Call Trace:
[<ffffffff816f04b2>] dump_stack+0x45/0x56
[<ffffffff8108a1cd>] warn_slowpath_common+0x7d/0xa0
[<ffffffff8108a24c>] warn_slowpath_fmt+0x5c/0x80
[<ffffffff81501cf4>] ehci_endpoint_reset+0x104/0x110
[<ffffffff814e41a5>] usb_hcd_reset_endpoint+0x25/0x70
[<ffffffff814e6448>] usb_reset_endpoint+0x28/0x40
[<ffffffff814e64ce>] usb_clear_halt+0x6e/0x80
[<ffffffff814f18d4>] usbdev_do_ioctl+0xa74/0x1080
[<ffffffff810fe2b2>] ? do_futex+0x132/0xb50
[<ffffffff814f1f0e>] usbdev_ioctl+0xe/0x20
[<ffffffff811fd0f0>] do_vfs_ioctl+0x2e0/0x4a0
[<ffffffff811fd331>] SyS_ioctl+0x81/0xa0
[<ffffffff81121eb6>] ? __audit_syscall_exit+0x1f6/0x2a0
[<ffffffff81700869>] system_call_fastpath+0x16/0x1b
Comment 20 p-a 2014-06-25 04:57:59 EDT
Description of problem:
received this message directly after restart

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.2
cmdline:        BOOT_IMAGE=/vmlinuz-3.14.8-200.fc20.x86_64 root=/dev/mapper/fedora_pa--wlan-root ro rd.lvm.lv=fedora_pa-wlan/root vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora_pa-wlan/swap rhgb quiet LANG=de_DE.UTF-8
kernel:         3.14.8-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 8411 at drivers/usb/host/ehci-hcd.c:1032 ehci_endpoint_reset+0x104/0x110()
clear_halt for a busy endpoint
Modules linked in: usb_storage fuse ccm ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep iTCO_wdt iTCO_vendor_support ppdev snd_hda_codec_conexant snd_hda_codec_generic coretemp kvm_intel snd_hda_intel arc4 kvm snd_hda_codec snd_hwdep snd_seq microcode iwldvm snd_seq_device cdc_ether mac80211 snd_pcm joydev sdhci_pci usbnet cdc_wdm mii cdc_acm uvcvideo sdhci serio_raw videobuf2_vmalloc iwlwifi r592 memstick i2c_i801 videobuf2_memops videobuf2_core mmc_core videodev lpc_ich media mfd_core cfg80211 snd_timer btusb bluetooth mei_me 6lowpan_iphc thinkpad_acpi mei shpchp wmi snd soundcore rfkill tpm_tis parport_pc tpm parport acpi_cpufreq binfmt_misc nfsd auth_rpcgss nfs_acl lockd sunrpc radeon i915 i2c_algo_bit drm_kms_helper ttm e1000e drm ptp pps_core yenta_socket i2c_core video
CPU: 1 PID: 8411 Comm: pool Not tainted 3.14.8-200.fc20.x86_64 #1
Hardware name: LENOVO 2767R8G/2767R8G, BIOS 7UET92WW (3.22 ) 03/11/2011
 0000000000000000 00000000a7b0765f ffff88012f9fbce8 ffffffff816f0502
 ffff88012f9fbd30 ffff88012f9fbd20 ffffffff8108a1cd 0000000000000003
 ffff880099095800 0000000000000082 ffff880099095b1c 0000000000000246
Call Trace:
 [<ffffffff816f0502>] dump_stack+0x45/0x56
 [<ffffffff8108a1cd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108a24c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffff811cbf4f>] ? kfree+0xff/0x140
 [<ffffffff81501d44>] ehci_endpoint_reset+0x104/0x110
 [<ffffffff814e41f5>] usb_hcd_reset_endpoint+0x25/0x70
 [<ffffffff814e6498>] usb_reset_endpoint+0x28/0x40
 [<ffffffff814e651e>] usb_clear_halt+0x6e/0x80
 [<ffffffff814f1924>] usbdev_do_ioctl+0xa74/0x1080
 [<ffffffff810fe2d2>] ? do_futex+0x132/0xb50
 [<ffffffff814f1f5e>] usbdev_ioctl+0xe/0x20
 [<ffffffff811fd110>] do_vfs_ioctl+0x2e0/0x4a0
 [<ffffffff811fd351>] SyS_ioctl+0x81/0xa0
 [<ffffffff81121ed6>] ? __audit_syscall_exit+0x1f6/0x2a0
 [<ffffffff817008e9>] system_call_fastpath+0x16/0x1b
Comment 21 Radek Vokal 2014-07-01 09:48:41 EDT
Description of problem:
Connect MTP device (Android tablet). Leave it there - it keeps mounting and unmounting 

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.2
cmdline:        BOOT_IMAGE=/vmlinuz-3.14.8-200.fc20.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks=0 vconsole.keymap=us rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.14.8-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 15897 at drivers/usb/host/ehci-hcd.c:1032 ehci_endpoint_reset+0x104/0x110()
clear_halt for a busy endpoint
Modules linked in: ccm nf_nat_h323 nf_conntrack_h323 nf_nat_pptp nf_nat_proto_gre nf_conntrack_pptp nf_conntrack_proto_gre nf_nat_tftp nf_conntrack_tftp nf_nat_sip nf_conntrack_sip nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp fuse ipt_MASQUERADE xt_CHECKSUM tun ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep iTCO_wdt iTCO_vendor_support x86_pkg_temp_thermal coretemp kvm_intel uvcvideo kvm arc4 videobuf2_vmalloc videobuf2_memops videobuf2_core iwldvm crct10dif_pclmul crc32_pclmul videodev mac80211 crc32c_intel media btusb bluetooth snd_hda_codec_hdmi iwlwifi 6lowpan_iphc snd_hda_codec_conexant snd_hda_codec_generic ghash_clmulni_intel i2c_i801 joydev microcode sdhci_pci snd_hda_intel cfg80211 serio_raw sdhci snd_hda_codec mmc_core snd_hwdep snd_seq snd_seq_device snd_pcm thinkpad_acpi wmi tpm_tis lpc_ich rfkill tpm snd_timer mei_me mfd_core snd mei soundcore shpchp loop binfmt_misc i915 i2c_algo_bit drm_kms_helper drm e1000e ptp i2c_core pps_core video
CPU: 0 PID: 15897 Comm: pool Not tainted 3.14.8-200.fc20.x86_64 #1
Hardware name: LENOVO 4291EJ3/4291EJ3, BIOS 8DET51WW (1.21 ) 08/02/2011
 0000000000000000 00000000ae8dddc0 ffff88019c9b9ce8 ffffffff816f0502
 ffff88019c9b9d30 ffff88019c9b9d20 ffffffff8108a1cd 0000000000000003
 ffff8800d4d90800 0000000000000082 ffff8800d4d90b1c 0000000000000246
Call Trace:
 [<ffffffff816f0502>] dump_stack+0x45/0x56
 [<ffffffff8108a1cd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108a24c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffff81501d44>] ehci_endpoint_reset+0x104/0x110
 [<ffffffff814e41f5>] usb_hcd_reset_endpoint+0x25/0x70
 [<ffffffff814e6498>] usb_reset_endpoint+0x28/0x40
 [<ffffffff814e651e>] usb_clear_halt+0x6e/0x80
 [<ffffffff814f1924>] usbdev_do_ioctl+0xa74/0x1080
 [<ffffffff810fe2d2>] ? do_futex+0x132/0xb50
 [<ffffffff814f1f5e>] usbdev_ioctl+0xe/0x20
 [<ffffffff811fd110>] do_vfs_ioctl+0x2e0/0x4a0
 [<ffffffff811fd351>] SyS_ioctl+0x81/0xa0
 [<ffffffff81121ed6>] ? __audit_syscall_exit+0x1f6/0x2a0
 [<ffffffff817008e9>] system_call_fastpath+0x16/0x1b
Comment 22 James Boyle 2014-07-30 23:47:53 EDT
Same issue: Nexus 5 && Lenovo T530
Comment 23 Marcos Paulo 2014-08-11 14:42:24 EDT
Description of problem:
Just have my Galaxy Grand Duos connect to my PC.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.15.7-200.fc20.x86_64 root=UUID=924202ff-8af5-4bd3-8a1b-3f70645ccc02 ro vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=pt_BR.UTF-8
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 17812 at drivers/usb/host/ehci-hcd.c:1032 ehci_endpoint_reset+0x104/0x110()
clear_halt for a busy endpoint
Modules linked in: ipt_MASQUERADE xt_CHECKSUM tun fuse bnep bluetooth cfg80211 rfkill ip6t_ipv6header ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd iTCO_wdt iTCO_vendor_support gpio_ich lpc_ich mfd_core coretemp soundcore shpchp microcode serio_raw i2c_i801 acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd sunrpc binfmt_misc i915 i2c_algo_bit drm_kms_helper drm r8169 ata_generic pata_acpi i2c_core mii video [last unloaded: ipmi_msghandler]
CPU: 1 PID: 17812 Comm: pool Not tainted 3.15.7-200.fc20.x86_64 #1
Hardware name:                  /DG31PR, BIOS PRG3110H.86A.0052.2008.0612.1910 06/12/2008
 0000000000000000 0000000057f0e9fe ffff880047557cd8 ffffffff816ef92e
 ffff880047557d20 ffff880047557d10 ffffffff8108933d 0000000000000003
 ffff8801294a4800 0000000000000082 ffff8801294a4b1c 0000000000000246
Call Trace:
 [<ffffffff816ef92e>] dump_stack+0x45/0x56
 [<ffffffff8108933d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810893bc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffff814fc764>] ehci_endpoint_reset+0x104/0x110
 [<ffffffff814de765>] usb_hcd_reset_endpoint+0x25/0x70
 [<ffffffff814e0a08>] usb_reset_endpoint+0x28/0x40
 [<ffffffff814ec8e0>] usbdev_do_ioctl+0x1120/0x1190
 [<ffffffff810afa7b>] ? __hrtimer_start_range_ns+0x1eb/0x3b0
 [<ffffffff811f9ac0>] do_vfs_ioctl+0x2e0/0x4a0
 [<ffffffff8111fc36>] ? __audit_syscall_exit+0x1f6/0x2a0
Comment 24 Hedayat Vatankhah 2014-08-19 02:59:57 EDT
Still happens on 3.15.10-200.fc20.x86_64
Comment 25 Jerry James 2014-10-08 23:32:09 EDT
Still happens on 3.16.3-200.fc20.x86_64 (just had it happen with a Galaxy S3).
Comment 26 Dominik 'Rathann' Mierzejewski 2014-10-20 11:32:24 EDT
3.16.6-200.fc20.x86_64. It happened upon disconnecting an old Samsung Wave.
Comment 27 fabris 2014-12-11 09:05:18 EST
Description of problem:
mise à jour de F20 vers fedora 21 avec fedup --network 21 --product=Workstation

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.3.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.2-200.fc20.i686+PAE root=/dev/mapper/fedora_gits-root ro rd.lvm.lv=fedora_gits/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora_gits/root rhgb quiet LANG=fr_FR.UTF-8
kernel:         3.17.2-200.fc20.i686+PAE
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 7291 at drivers/usb/host/ehci-hcd.c:1030 ehci_endpoint_reset+0xde/0xf0()
clear_halt for a busy endpoint
Modules linked in: fuse bnep bluetooth cfg80211 ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw snd_hda_codec_analog snd_hda_codec_generic tpm_tis tpm_infineon snd_hda_intel snd_hda_controller snd_hda_codec tpm snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd soundcore hp_wmi sparse_keymap ppdev serio_raw rfkill gpio_ich iTCO_wdt iTCO_vendor_support coretemp lpc_ich mfd_core acpi_cpufreq mei_me mei wmi parport_pc parport nfsd auth_rpcgss nfs_acl lockd sunrpc uas usb_storage
i915 i2c_algo_bit drm_kms_helper e1000e drm ata_generic pata_acpi ptp pps_core video
CPU: 1 PID: 7291 Comm: pool Not tainted 3.17.2-200.fc20.i686+PAE #1
Hardware name: Hewlett-Packard HP Compaq dc5800 Small Form Factor/2820h, BIOS 786F2 v01.53 08/27/2008
c0cd6947 2f064407 00000000 f6af9db8 c0a34a99 f6af9df8 f6af9de8 c0460c4e
c0c67588 f6af9e18 00001c7b c0c43a3c 00000406 c086c12e c086c12e 00000003
f4796624 f4796400 f6af9e04 c0460cae 00000009 f6af9df8 c0c67588 f6af9e18
Call Trace:
[<c0a34a99>] dump_stack+0x41/0x52
[<c0460c4e>] warn_slowpath_common+0x7e/0xa0
[<c086c12e>] ? ehci_endpoint_reset+0xde/0xf0
[<c086c12e>] ? ehci_endpoint_reset+0xde/0xf0
[<c0460cae>] warn_slowpath_fmt+0x3e/0x60
[<c086c12e>] ehci_endpoint_reset+0xde/0xf0
[<c085153f>] usb_hcd_reset_endpoint+0x1f/0x60
[<c0853425>] usb_reset_endpoint+0x25/0x40
[<c08534b3>] usb_clear_halt+0x73/0x80
[<c085d04a>] usbdev_ioctl+0x57a/0x1550
[<c04cc00b>] ? do_futex+0x10b/0x8c0
[<c085cad0>] ? proc_do_submiturb+0xb90/0xb90
[<c059e3ca>] do_vfs_ioctl+0x2ea/0x4b0
[<c04b9a17>] ? hrtimer_start+0x27/0x30
[<c04cc857>] ? SyS_futex+0x97/0x160
[<c059e5f0>] SyS_ioctl+0x60/0x90
[<c0a3b25f>] sysenter_do_call+0x12/0x12
Comment 28 Fedora Kernel Team 2015-02-24 11:24:50 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.18.7-100.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.
Comment 29 Dj YB 2015-03-27 08:45:36 EDT
Description of problem:
I am not sure, maybe a faulty usb stick

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.18.9-100.fc20.x86_64 root=UUID=f4ec79d6-397f-4036-9765-add3268c98ce ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8 rhgb quiet
kernel:         3.18.9-100.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 20232 at drivers/usb/host/ehci-hcd.c:1030 ehci_endpoint_reset+0x104/0x110()
clear_halt for a busy endpoint
Modules linked in: rfcomm fuse cfg80211 bnep nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw gspca_pac207 gspca_main videodev media btusb intel_rapl x86_pkg_temp_thermal coretemp kvm crct10dif_pclmul bluetooth eeepc_wmi asus_wmi sparse_keymap crc32_pclmul crc32c_intel ghash_clmulni_intel snd_hda_codec_hdmi snd_hda_codec_realtek iTCO_wdt iTCO_vendor_support rfkill mxm_wmi usblp snd_hda_codec_generic snd_hda_intel snd_hda_controller
snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer joydev snd soundcore microcode serio_raw i2c_i801 lpc_ich mfd_core e1000e mei_me mei wmi ptp pps_core shpchp binfmt_misc i915 i2c_algo_bit drm_kms_helper drm video
CPU: 0 PID: 20232 Comm: hp-systray Not tainted 3.18.9-100.fc20.x86_64 #1
Hardware name: System manufacturer System Product Name/P8Z68-V, BIOS 0902 09/19/2011
0000000000000000 0000000042944511 ffff880019403c88 ffffffff81745f2b
0000000000000000 ffff880019403ce0 ffff880019403cc8 ffffffff81095061
ffff8800a1f17600 0000000000000002 ffff88021e6e9000 0000000000000001
Call Trace:
[<ffffffff81745f2b>] dump_stack+0x46/0x58
[<ffffffff81095061>] warn_slowpath_common+0x81/0xa0
[<ffffffff810950d5>] warn_slowpath_fmt+0x55/0x70
[<ffffffff8153d2c4>] ehci_endpoint_reset+0x104/0x110
[<ffffffff8151e0f5>] usb_hcd_reset_endpoint+0x25/0x70
[<ffffffff815203d8>] usb_reset_endpoint+0x28/0x40
[<ffffffff8152045e>] usb_clear_halt+0x6e/0x80
[<ffffffff8152c600>] usbdev_do_ioctl+0x1120/0x1190
[<ffffffff8105dbdc>] ? __do_page_fault+0x21c/0x550
[<ffffffff8161674e>] ? SYSC_sendto+0x17e/0x1c0
[<ffffffff8152c69e>] usbdev_ioctl+0xe/0x20
[<ffffffff8121c850>] do_vfs_ioctl+0x2e0/0x4a0
[<ffffffff8121ca91>] SyS_ioctl+0x81/0xa0
[<ffffffff81134436>] ? __audit_syscall_exit+0x1f6/0x2a0
[<ffffffff8174d369>] system_call_fastpath+0x12/0x17
Comment 30 Fedora End Of Life 2015-05-29 05:39:19 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 31 Fedora End Of Life 2015-06-29 08:45:52 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.